import { Pipe } from '@angular/core';
import { PassChecker } from './passchecker';
var AngularPasscheckerPipe = /** @class */ (function () {
    function AngularPasscheckerPipe() {
        this.passChecker = new PassChecker();
    }
    AngularPasscheckerPipe.prototype.transform = function (value, arg) {
        var result = '';
        (arg === 'percent') ? result = this.passChecker.getStrength(value)[1].toFixed(0) : '';
        (arg === 'strength') ? result = this.passChecker.getStrength(value)[0].toFixed(2) : '';
        return result;
    };
    AngularPasscheckerPipe.decorators = [
        { type: Pipe, args: [{
                    name: 'passchecker'
                },] },
    ];
    /** @nocollapse */
    AngularPasscheckerPipe.ctorParameters = function () { return []; };
    return AngularPasscheckerPipe;
}());
export { AngularPasscheckerPipe };
//# sourceMappingURL=angular-passchecker.pipe.js.map